var $, tab, skyconsWeather;

layui.config({
	base: "js/"
}).use(['bodyTab', 'form', 'element', 'layer', 'jquery'], function () {
	var form = layui.form,
		layer = layui.layer,
		element = layui.element;
	$ = layui.jquery;
	tab = layui.bodyTab();
	//用户昵称
	var userInfo = layui.sessionData(window.hywa.sessionTable.tableName);
	$('#userName').html(JSON.stringify(userInfo) != '{}' ? userInfo[window.hywa.sessionTable.userData].name :
		'游客用户');

	//系统名称
	var sysname = layui.sessionData(window.hywa.sessionTable.tableName);
	$('#sysLogo').html(sysname.sys != '{}' ? sysname.sys.systemName : '防伪溯源系统');
	$('title').html(sysname.sys != '{}' ? sysname.sys.systemName : '防伪溯源系统');

	//退出
	$('#dropOut,#dropOut1').on("click", function () {
		layer.msg('注销中……', {
			icon: 6,
			time: 5000
		});
		$.ajax({
			type: "GET",
			url: 'loginOut',
			success: function (res) {
				if (0 === res.code) {
					layui.sessionData(window.hywa.sessionTable.tableName, null);
					window.sessionStorage.removeItem("menu");
					var url = location.href;
					location.href = url.substring(0, url.substring(0, url.lastIndexOf("/")).lastIndexOf("/") + 1);
				} else {

				}
			}
		});
	});
	//锁屏
	function lockPage() {
		layer.open({
			title: false,
			type: 1,
			content: $("#lock-box"),
			closeBtn: 0,
			shade: 0.9
		})
	}
	//     $(".lockcms").on("click", function () {
	//         window.sessionStorage.setItem("lockcms", true);
	//         lockPage();
	//     })
	// 判断是否显示锁屏
	//if (window.sessionStorage.getItem("lockcms") == "true") {
	//    lockPage();
	//}
	// 解锁
	//     $("#unlock").on("click", function () {
	//         if ($(this).siblings(".admin-header-lock-input").val() == '') {
	//             layer.msg("请输入解锁密码！");
	//         } else {
	//             if ($(this).siblings(".admin-header-lock-input").val() == "123456") {
	//                 window.sessionStorage.setItem("lockcms", false);
	//                 $(this).siblings(".admin-header-lock-input").val('');
	//                 layer.closeAll("page");
	//             } else {
	//                 layer.msg("密码错误，请重新输入！");
	//             }
	//         }
	//     });
	//     $(document).on('keydown', function (event) {
	//         if (event.keyCode == 13) {
	//             $("#unlock").click();
	//         }
	//     });

	//手机设备的简单适配
	var treeMobile = $('.site-tree-mobile'),
		shadeMobile = $('.site-mobile-shade');

	treeMobile.on('click', function () {
		$('body').addClass('site-mobile');
	});

	shadeMobile.on('click', function () {
		$('body').removeClass('site-mobile');
	});

	// 添加新窗口
	$(".layui-nav .layui-nav-item a").on("click", function () {
		addTab($(this));
		$(this).parent("li").siblings().removeClass("layui-nav-itemed");
	});
	//判断是否处于锁屏状态(如果关闭以后则未关闭浏览器之前不再显示)
	if (window.sessionStorage.getItem("lockcms") != "true" && window.sessionStorage.getItem("showNotice") !=
		"true") {
		if (typeof showNotice !== 'undefined') showNotice();
	}
	$(".showNotice").on("click", function () {
		showNotice();
	})

	//刷新后还原打开的窗口
	if (window.sessionStorage.getItem("menu") != null) {
		window.sessionStorage.removeItem("menu");
	}
})

//打开新窗口
function addTab(_this) {
	tab.tabAdd(_this);
}
